[Bioperl-l] bptutorial.pl question, and appropriate bioperl version question

Philip M Terry pterry2 at unlnotes.unl.edu
Sun Mar 26 14:47:14 EST 2006


Hello,

Would anyone be able to help/comment on the following:

version of bioperl: Distribution    B/BI/BIRNEY/bioperl-1.4.tar.gz
(installed from CPAN)
platform: Power Mac G5 OS X 10.4.5
What trying to do: Practice/learn to run bptutorial.pl from
~/.cpan/build/bioperl-1.4, trying run_remoteblast
Code that gives the error:
philip-terrys-power-mac-g5:~/.cpan/build/bioperl-1.4 mterry$ perl -w
bptutorial.pl 22

Beginning run_remoteblast example...
submitted Blast job
retrieving results...      #line 3322 of bptutorial.pl

-------------------- WARNING ---------------------
MSG: Possible error (1) while parsing BLAST report!
---------------------------------------------------
Use of uninitialized value in substitution (s///) at Bio/Tools/BPlite.pm
line 337, <GEN3> line 30.
Use of uninitialized value in substitution (s///) at Bio/Tools/BPlite.pm
line 338, <GEN3> line 30.
Use of uninitialized value in substitution (s///) at Bio/Tools/BPlite.pm
line 339, <GEN3> line 30.
Use of uninitialized value in pattern match (m//) at Bio/Tools/BPlite.pm
line 341, <GEN3> line 30.
philip-terrys-power-mac-g5:~/.cpan/build/bioperl-1.4 mterry$

The variable $def never gets initialized at line 326 of BPlite.pm module.

I note that Bio::Tools::BPlite module will not to be supported in future
versions of bioperl.

So should I go from bioperl ver 1.4 to ver 1.5.1 before proceeding to
practice with bptutorial.pl?

If so, do I need to delete/uninstall ver 1.4 first before installing ver
1.5.1?  If so, how should it be done?

Thanks,
Philip M. Terry, Ph.D.
University of Nebraska-Lincoln



More information about the Bioperl-l mailing list